org.apache.axiom.util.activation

## Class DataHandlerWrapper

- java.lang.Object
- - javax.activation.DataHandler
  - - org.apache.axiom.util.activation.DataHandlerWrapper

- All Implemented Interfaces:
    Transferable

      public class DataHandlerWrapper
      extends javax.activation.DataHandler

  Base class for `DataHandler` wrappers.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataHandlerWrapper(javax.activation.DataHandler parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.activation.CommandInfo[]` | `getAllCommands()`
    `Object` | `getBean(javax.activation.CommandInfo cmdinfo)`
    `javax.activation.CommandInfo` | `getCommand(String cmdName)`
    `Object` | `getContent()`
    `String` | `getContentType()`
    `javax.activation.DataSource` | `getDataSource()`
    `InputStream` | `getInputStream()`
    `String` | `getName()`
    `OutputStream` | `getOutputStream()`
    `javax.activation.CommandInfo[]` | `getPreferredCommands()`
    `Object` | `getTransferData(DataFlavor flavor)`
    `DataFlavor[]` | `getTransferDataFlavors()`
    `boolean` | `isDataFlavorSupported(DataFlavor flavor)`
    `void` | `setCommandMap(javax.activation.CommandMap commandMap)`
    `void` | `writeTo(OutputStream os)`

    - ### Methods inherited from class javax.activation.DataHandler

      `setDataContentHandlerFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataHandlerWrapper

          public DataHandlerWrapper(javax.activation.DataHandler parent)

  - ### Method Detail

    - #### getAllCommands

          public javax.activation.CommandInfo[] getAllCommands()

      Overrides:
        `getAllCommands` in class `javax.activation.DataHandler`

    - #### getBean

          public Object getBean(javax.activation.CommandInfo cmdinfo)

      Overrides:
        `getBean` in class `javax.activation.DataHandler`

    - #### getCommand

          public javax.activation.CommandInfo getCommand(String cmdName)

      Overrides:
        `getCommand` in class `javax.activation.DataHandler`

    - #### getContent

          public Object getContent()
                            throws IOException

      Overrides:
        `getContent` in class `javax.activation.DataHandler`
      Throws:
        `IOException`

    - #### getContentType

          public String getContentType()

      Overrides:
        `getContentType` in class `javax.activation.DataHandler`

    - #### getDataSource

          public javax.activation.DataSource getDataSource()

      Overrides:
        `getDataSource` in class `javax.activation.DataHandler`

    - #### getInputStream

          public InputStream getInputStream()
                                     throws IOException

      Overrides:
        `getInputStream` in class `javax.activation.DataHandler`
      Throws:
        `IOException`

    - #### getName

          public String getName()

      Overrides:
        `getName` in class `javax.activation.DataHandler`

    - #### getOutputStream

          public OutputStream getOutputStream()
                                       throws IOException

      Overrides:
        `getOutputStream` in class `javax.activation.DataHandler`
      Throws:
        `IOException`

    - #### getPreferredCommands

          public javax.activation.CommandInfo[] getPreferredCommands()

      Overrides:
        `getPreferredCommands` in class `javax.activation.DataHandler`

    - #### getTransferData

          public Object getTransferData(DataFlavor flavor)
                                 throws UnsupportedFlavorException,
                                        IOException

      Specified by:
        `getTransferData` in interface `Transferable`
      Overrides:
        `getTransferData` in class `javax.activation.DataHandler`
      Throws:
        `UnsupportedFlavorException`
        `IOException`

    - #### getTransferDataFlavors

          public DataFlavor[] getTransferDataFlavors()

      Specified by:
        `getTransferDataFlavors` in interface `Transferable`
      Overrides:
        `getTransferDataFlavors` in class `javax.activation.DataHandler`

    - #### isDataFlavorSupported

          public boolean isDataFlavorSupported(DataFlavor flavor)

      Specified by:
        `isDataFlavorSupported` in interface `Transferable`
      Overrides:
        `isDataFlavorSupported` in class `javax.activation.DataHandler`

    - #### setCommandMap

          public void setCommandMap(javax.activation.CommandMap commandMap)

      Overrides:
        `setCommandMap` in class `javax.activation.DataHandler`

    - #### writeTo

          public void writeTo(OutputStream os)
                       throws IOException

      Overrides:
        `writeTo` in class `javax.activation.DataHandler`
      Throws:
        `IOException`

Copyright © The Apache Software Foundation. All Rights Reserved.